summary refs log tree commit diff
path: root/x11-misc
diff options
context:
space:
mode:
authorAzat Bahawi <azahi@teknik.io>2021-06-23 19:22:31 +0300
committerAzat Bahawi <azahi@teknik.io>2021-06-23 19:22:32 +0300
commitf31e21fca746a54e61a6b392799f7c88d6700ce0 (patch)
treea90b6c84892853ad8cedb37ce95671f61de5b23c /x11-misc
parentx11-misc/xurgent: Add package (diff)
x11-misc/lsd: Add version
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Azat Bahawi <azahi@teknik.io>
Diffstat (limited to 'x11-misc')
-rw-r--r--x11-misc/lsd/Manifest1
-rw-r--r--x11-misc/lsd/lsd-1.0.0.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/x11-misc/lsd/Manifest b/x11-misc/lsd/Manifest
new file mode 100644
index 0000000..1c45e7f
--- /dev/null
+++ b/x11-misc/lsd/Manifest
@@ -0,0 +1 @@
+DIST lsd-1.0.0.tar.gz 3150 BLAKE2B 8db9fe8bd2667eb5da86fe10fbf1df046d951b5bfdf84d03d8170b94e2d90fd2147339a40a01d7cc3c1533051454f473c31e0321c8a8f2afae4103a313d1d536 SHA512 bb08e2ab5c089cd1093a36827abfb57221869539c0f39c3158555992d3d07ed57991f0f1246408045ea39058aa790c69f5e16443e797bfe0680685b77d57bc2a
diff --git a/x11-misc/lsd/lsd-1.0.0.ebuild b/x11-misc/lsd/lsd-1.0.0.ebuild
new file mode 100644
index 0000000..a2ba0f8
--- /dev/null
+++ b/x11-misc/lsd/lsd-1.0.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} == *9999 ]]; then
+	SCM="git-r3"
+	EGIT_REPO_URI="https://github.com/phillbush/lsd.git"
+fi
+
+inherit toolchain-funcs ${SCM}
+
+DESCRIPTION="List desktops"
+HOMEPAGE="https://github.com/phillbush/lsd"
+
+if [[ ${PV} == *9999 ]]; then
+	SRC_URI=""
+	KEYWORDS=""
+else
+	SRC_URI="https://github.com/phillbush/lsd/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE=""
+
+DEPEND="x11-libs/libX11"
+RDEPEND="${DEPEND}"
+BDEPEND=""
+
+DOCS=( README )
+
+src_prepare() {
+	default
+
+	sed -e '/^CPPFLAGS/d' \
+		-e 's/^CFLAGS =/CFLAGS +=/g' \
+		-e 's/^LDFLAGS =/LDFLAGS +=/g' \
+		-i config.mk || die
+}
+
+src_compile() {
+	emake \
+		CC="$(tc-getCC)"
+}
+
+src_install() {
+	emake install \
+		DESTDIR="${D}" \
+		PREFIX="${EPREFIX}/usr"
+	einstalldocs
+}

Consider giving Nix/NixOS a try! <3